Qt 5.8 | Qt 3D | C++ Classes | GLTFIO

Qt 5.8.0 Reference Documentation

# GLTFIO Class

(Qt3DRender::GLTFIO)

- List of all members, including inherited members

## Public Functions

| GLTFIO()
| ~GLTFIO()
bool | isFileTypeSupported(const QUrl &source) const
Qt3DCore::QEntity * | node(const QString &id)
Qt3DCore::QEntity * | scene(const QString &id = QString())
void | setBasePath(const QString &path)
bool | setJSON(const QJsonDocument &json)
void | setSource(const QUrl &source)

## Member Function Documentation

### GLTFIO::GLTFIO()

Default constructs an instance of GLTFIO.

### GLTFIO::~GLTFIO()

Destroys the instance of GLTFIO.

### bool GLTFIO::isFileTypeSupported(const QUrl &source) const

### Qt3DCore::QEntity *GLTFIO::node(const QString &id)

### Qt3DCore::QEntity *GLTFIO::scene(const QString &id = QString())

### void GLTFIO::setBasePath(const QString &path)

### bool GLTFIO::setJSON(const QJsonDocument &json)

### void GLTFIO::setSource(const QUrl &source)